// Persistence Of Vision raytracer blocks world.
// Created by Richard Harrison - Sept 2003.

// standard colors.
#include "colors.inc"
//#include "camera-context.inc" //common file containing object definitions for the camera demos

// definition of blocks.
#include "blocks.inc"

// all blocks have some light!
#default {
    finish {
        ambient 0.3
    }
}

#declare Left   = 1.5;
#declare Centre = 0.0;
#declare Right  = -1.5;
#declare Up     = 1.0;
#declare Up2    = 2.0;
#declare Down   = 0.0;

// setup the camera
camera {
        location <0,10,25>
        look_at <0,5,0>
        rotate y*0
}

object { BlockA(rgb <1,0,0>) translate x*Right + y*Up2 scale 5 }
object { BlockB(rgb <0,1,0>) translate x*Right + y*Up  scale 5 }
object { BlockC(rgb <0,0,1>) translate x*Right + y*Down scale 5 }

sky_sphere {pigment {rgb <0.99,0.99,0.99>}}


light_source {
    <100,120,100> White*1.8


}
