/*
 * UnknownDirective.java
 *
 * Created on 20 January 2006, 10:47
 */

package csp2hc.exception;

import csp2hc.messages.*;

/**
 *
 * @author  marcel
 */
public class NumberOfWritersException extends RuntimeException {
    
	public static String MULTIPLE = "multiple";
	public static String NONE = "no";
	
    public NumberOfWritersException(String channel, String number, String definition) {
        super(Messenger.NUMBER_OF_WRITERS_1 
        		+ channel 
        		+ Messenger.NUMBER_OF_WRITERS_2
        		+ number
        		+ Messenger.NUMBER_OF_WRITERS_3
        		+ definition);
        
    }
}
