package csp2hc.gui;


import javax.swing.JDesktopPane;
import javax.swing.JInternalFrame;
/**
 * Guarda informacoes de tamanho, largura para configuracao das JInternals Frame
 * isto �, Desenvolvimento, Obrigacao e C�digo
 * @author Alessandro
 *
 */
public class InfoIFrames {
	
	//Informacoes referentes a tela de Desenvolvimento
	private int cspHeight;
	private int cspWidth;
	private int cspX;
	private int cspY;
	
	//Informacoes referentes a tela de Obrigacoes
	
	private int msgHeight;
	private int msgWidth;
	private int msgX;
	private int msgY;
	
	//Inforamacoes referentes a tela de Codigo
	private int handelCHeight;
	private int handelCWidth;
	private int handelCX;
	private int handelCY;
	
	//Inforamacoes referentes ao DesktopPane
	
	private int desktopHeight;
	private int desktopWidth;
	
	
	//Inforamacoes referentes aos icones das Janelas Internas
	
	private	int iconCSPX;
	private	int iconCSPY;
	
	private	int iconHandelCX;
	private	int iconHandelCY;
	
	private	int iconMsgX;
	private	int iconMsgY;
	
	public InfoIFrames() {

		 cspHeight = 0;
		 cspWidth = 0;
		 cspX = 0;
		 cspY = 0;
		 
		 msgHeight = 0;
		 msgWidth = 0;
		 msgX = 0;
		 msgY = 0;
		 
		 handelCHeight = 0;
		 handelCWidth = 0;
		 handelCX = 0;
		 handelCY = 0;

		 iconCSPX = 0;
		 iconCSPY = 0;

		 iconHandelCX = 0;
		 iconHandelCY = 0;

		 iconMsgX = 0;
		 iconMsgY = 0;
	}
	
	
	public void setIconDes(int x, int y) {
		iconCSPX = x;
		iconCSPY = y;
	}
	public void setIconCod(int x, int y) {
		iconHandelCX = x;
		iconHandelCY = y;
	}
	public void setIconObri(int x, int y) {
		iconMsgX = x;
		iconMsgY = y;
	}
	public int getIconDesX() {
		return iconCSPX;
	}
	public int getIconDesY() {
		return iconCSPY;
	}
	public int getIconCodX() {
		return iconHandelCX;
	}
	public int getIconCodY() {
		return iconHandelCY;
	}
	public int getIconObriX() {
		return iconMsgX;
	}
	public int getIconObriY() {
		return iconMsgY;
	}	
	public void setInfoCsp (int height, int width, int x, int y) {

		cspHeight = height;
		cspWidth = width;
		cspX = x;
		cspY = y;
	}
	
	public void setInfoMsg (int height, int width, int x, int y) {

		msgHeight = height;
		msgWidth = width;
		msgX = x;
		msgY = y;
	}
	
	public void setInfoHandelC(int height, int width, int x, int y) {

		handelCHeight = height;
		handelCWidth = width;
		handelCX = x;
		handelCY = y;
	}
	
	public void setInfoDesktop (int height, int width) {
		desktopHeight = height;
		desktopWidth = width;
		
	}
	
	public int getCspHeight() {
		return this.cspHeight;
	}
	public int getCspWidth() {
		return this.cspWidth;
	}
	public int getHandelCHeight() {
		return this.handelCHeight;
	}
	public int getHandelCWidth() {
		return this.handelCWidth;
	}
	public int getMsgHeight() {
		return this.msgHeight;
	}
	public int getMsgWidth() {
		return this.msgWidth;
	}
	public int getCspX() {
		return this.cspX;
	}
	public int getCspY() {
		return this.cspY;
	}
	public int getHandelCX() {
		return this.handelCX;
	}
	public int getHandelCY() {
		return this.handelCY;
	}
	public int getMsgX() {
		return this.msgX;
	}
	public int getMsgY() {
		return this.msgY;
	}
	
	public int getDesktopHeight() {
		return this.desktopHeight;
	}
	public int getDesktopWidth() {
		return this.desktopWidth;
	}
	/**
	 * Metodo utilizada para atualizar os campos de des
	 * @param des janela de desenvolvimento
	 */
	public void AtualizarCsp(JInternalFrame des) {
		cspX = des.getX();
		cspY = des.getY();
		cspHeight = des.getHeight();
		cspWidth = des.getWidth();
	}
	
	/**
	 * Metodo utilizada para atualizar os campos de cod
	 * @param cod janela de codigo
	 */
	public void AtualizarHandelC(JInternalFrame cod) {
		handelCX = cod.getX();
		handelCY = cod.getY();
		handelCHeight = cod.getHeight();
		handelCWidth = cod.getWidth();
	}
	/**
	 * Metodo utilizada para atualizar os campos de msg
	 * @param msg janela de msgigo
	 */
	public void AtualizarMsg(JInternalFrame msg) {
		msgX = msg.getX();
		msgY = msg.getY();
		msgHeight = msg.getHeight();
		msgWidth = msg.getWidth();
	}
	/**
	 * Metodo utilizada para atualizar os campos de desk
	 * @param desk	Area de Trabalho cuja informacoes serao guardadas
	 */
	public void AtualizarDesktop(JDesktopPane desk) {
		desktopHeight = desk.getHeight();
		desktopWidth = desk.getWidth();
	}
	
	public void AtualizarIconDes (JInternalFrame.JDesktopIcon icon) {
		iconCSPX = icon.getX();
		iconCSPY = icon.getY();
	}
	public void AtualizarIconObri (JInternalFrame.JDesktopIcon icon) {
		iconMsgX = icon.getX();
		iconMsgY = icon.getY();
	}
	public void AtualizarIconCod (JInternalFrame.JDesktopIcon icon) {
		iconHandelCX = icon.getX();
		iconHandelCY = icon.getY();
	}
	
	
}

