package lmf.formula.csp.semantic;

import java.util.ArrayList;

import lmf.formula.csp.type.CspType;


public class CspFunctionDeclaration extends CspDeclaration {

	private ArrayList paramTypes;

	private CspFunctionKind kind;

	public CspFunctionDeclaration(String name, ArrayList paramTypes,
			CspType returnType) {
		super(name, returnType);
		this.paramTypes = paramTypes;
	}

	public ArrayList getParamTypes() {
		return paramTypes;
	}

	public void setParamTypes(ArrayList value) {
		paramTypes = value;
	}

	public CspFunctionKind getKind() {
		return kind;
	}

	public void setKind(CspFunctionKind value) {
		kind = value;
	}

}