package csp2hc.util;

import java.util.Locale;
import java.util.ResourceBundle;

public class Config{

    private Locale localizacao;
    private ResourceBundle rb;
    private static Config config;

    private Config() {
        this.rb = ResourceBundle.getBundle("config");
    }
    public static Config getInstance() {
        if (config == null) {
            config = new Config();
        }
        return config;
    }
    public String getConfig(String code) {
        return rb.getString(code);
    }
}
