/*
 * UnknownDirective.java
 *
 * Created on 20 January 2006, 10:47
 */

package csp2hc.exception;

import java.util.Set;
import csp2hc.messages.*;

/**
 *
 * @author  marcel
 */
public class InconsistentParallelCompositionException extends java.lang.RuntimeException {
    
    private String process = "";
    private Set forcedInterleaving1;
    private Set forcedInterleaving2;

    public InconsistentParallelCompositionException(Set forcedInterleaving1,
    		Set forcedInterleaving2,
    		String process) {
        this.forcedInterleaving1 = forcedInterleaving1;
        this.forcedInterleaving2 = forcedInterleaving2;
        this.process = process;
    }

    public String getMessage(){
        return Messenger.PARALLEL_COMPOSITION_FORCED_INTERLEAVING_1 + this.process 
                + Messenger.PARALLEL_COMPOSITION_FORCED_INTERLEAVING_2 + this.forcedInterleaving1
                + Messenger.PARALLEL_COMPOSITION_FORCED_INTERLEAVING_3 + this.forcedInterleaving2
                + Messenger.PARALLEL_COMPOSITION_FORCED_INTERLEAVING_4;
    }
    
}
