/*
 * UnknownDirective.java
 *
 * Created on 20 January 2006, 10:47
 */

package csp2hc.exception;

import csp2hc.messages.*;

/**
 *
 * @author  marcel
 */
public class InvalidDirectiveException extends java.lang.RuntimeException {
    
    private String directive = "";
    private int lineNumber = -1;
    private String reason = "";

    /**
     * Creates a new instance of <code>UnknownDirective</code> without detail message.
     */
    public InvalidDirectiveException(String directive, String reason, int line) {
        this.directive = directive;
        this.lineNumber = line;
        this.reason = reason;
    }

    public String getMessage(){
        return Messenger.DIRECTIVE + this.directive + Messenger.LINE_INFO + this.lineNumber + 
                Messenger.INVALID_DIRECTIVE + " --- " +this.reason;
    }
    
}
