package      Util::Set;
use          Exporter ();
@ISA       = qw(Exporter);

use strict;

sub new ()
{
  my $self = {};
  return bless $self;
}

sub get_size ($)
{
  my $self = shift;

  return scalar(@$self);
}

sub has_elem ($$)
{
  my $self = shift;
  my $elem = shift;
  my $res;

  if (exists $self->{$elem})
  {
    $res = 1;
  }
  else
  {
    $res = 0;
  }
  return $res;
}

sub add_elem ($$)
{
  my $self = shift;
  my $elem = shift;
  my $res  = has_elem($self, $elem);

  if ($res == 0)
  {
    $self->{$elem} = 0;
  }
  else
  {
    $self->{$elem} = $self->{$elem} + 1;
  }
  return $res;
}

sub to_string ($$)
{
  my $self      = shift;
  my $seperator = shift;
  my @keys      = keys %$self;
  my $len       = scalar(@keys) - 1;
  my $line      = "";
  my $cnt;

  @keys = sort @keys;

  for ($cnt = 0; $cnt < $len; $cnt++)
  {
    $line = $line.$keys[$cnt].$seperator;
  }
  if ($len >= 0)
  {
    $line = $line.$keys[$cnt];
  }
  return $line;
}
