/*
 * UnknownDirective.java
 *
 * Created on 20 January 2006, 10:47
 */

package csp2hc.exception;

import csp2hc.messages.*;

/**
 *
 * @author  marcel
 */
public class InconsistentChannelProjectionUseException extends java.lang.RuntimeException {
    
    private String channel = "";
    private String process = "";

    /**
     * Creates a new instance of <code>UnknownDirective</code> without detail message.
     */
    public InconsistentChannelProjectionUseException(String channel, String process) {
        this.channel = channel;
        this.process = process;
    }

    public String getMessage(){
        return Messenger.INCONSISTENT_CHANNEL_PROJECTION_USE_1 + this.channel 
                + Messenger.INCONSISTENT_CHANNEL_PROJECTION_USE_2 + this.process;
    }
    
}
