/*
 * Debug.java
 *
 * Contains some methods to help with debugging
 *
 * Created on 18 January 2006, 18:18
 */

package csp2hc.util;

import lmf.formula.csp.node.*;

import java.lang.reflect.Method;

/**
 *
 * @author  marcel oliveira
 */
public class Debug {
    
    /** Creates a new instance of Debug */
    public Debug() {
    }
    
    /*
     * Prints information about a given node
     */
    public static void printInfo(Node node){
        System.out.println("XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX");
        System.out.println("Node = "+node);
        System.out.println("Class = "+node.getClass().getName());
        System.out.println("Hierarchy...");
        Class c = node.getClass();
        while(c.getName() != "java.lang.Object"){
            System.out.println(c);
            c = c.getSuperclass();
        }
        System.out.println("java.lang.Object");
        
        System.out.println("Parent = "+node.getClass().getSuperclass());
        //String nodeName = node.getClass().getName().substring(node.getClass().getName().lastIndexOf('.') + 1);
        System.out.println("Methods...");
        Method[] methods = node.getClass().getMethods();
        for(int i = 0; i < methods.length; i++) {
            System.out.println(methods[i]);
        }
        System.out.println("XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX");
    }
    
}
