package lmf.formula.csp.semantic.exception;

import lmf.formula.csp.type.CspType;

/// <summary>
/// Summary description for CspTypeException.
/// </summary>
public class CspTypeException extends CspSemanticException {

	public CspTypeException(String location, String expectedType,
			CspType foundType) {
		super(location + " Expecting " + expectedType +
				", found " + foundType + ".");
	}

}
