/*
 * UnknownDirective.java
 *
 * Created on 20 January 2006, 10:47
 */

package csp2hc.exception;

import csp2hc.messages.*;

/**
 *
 * @author  marcel
 */
public class InvalidDatatypeTagException extends java.lang.RuntimeException {
    
    private String datatype = "";
    private String tag = "";

    /**
     * Creates a new instance of <code>UnknownDirective</code> without detail message.
     */
    public InvalidDatatypeTagException(String datatype, String tag) {
        this.datatype = datatype;
        this.tag = tag;
    }

    public String getMessage(){
        return Messenger.INVALID_DATATYPE_TAG_1 + this.tag 
                + Messenger.INVALID_DATATYPE_TAG_2 + this.datatype
                + Messenger.INVALID_DATATYPE_TAG_3;
    }
    
}
