/*
 * InsertionOrderHashMap.java
 *
 * Created on 26 January 2006, 17:11
 */

package csp2hc.util;

import java.util.*;

/**
 *
 * @author  marcel
 */
public class InsertionOrderHashMap implements Map{
    HashMap hashMap;
    List keys;
    
    /** Creates a new instance of InsertionOrderHashMap */
    public InsertionOrderHashMap() {
        this.hashMap = new HashMap();
        this.keys = new Vector();
    }
    
    public void clear() {
        this.hashMap = new HashMap();
        this.keys = new Vector();
    }
    
    public boolean containsKey(Object key) {
        return this.hashMap.containsKey(key);
    }
    
    public boolean containsValue(Object value) {
        return this.hashMap.containsValue(value);
    }
    
    public Set entrySet() {
        return this.hashMap.entrySet();
    }
    
    public Object get(Object key) {
        return this.hashMap.get(key);
    }
    
    public boolean isEmpty() {
        return this.hashMap.isEmpty();
    }
    
    public Set keySet() {
        return this.hashMap.keySet();
    }

    public List keyList() {
        return this.keys;
    }
    
    public void putAll(Map map) {
        Set keys = map.keySet();
        Iterator iterator = keys.iterator();
        while(iterator.hasNext()) {
            Object key = iterator.next();
            this.put(key,map.get(key));
        }
    }

    public Object put(Object key, Object value) {
        Object oldValue = null;
        if (this.containsKey(key)) {
            oldValue = this.remove(key);
            this.keys.remove(key);
        }
        this.hashMap.put(key,value);
        this.keys.add(key);
        return oldValue;
    }
    
    public Object remove(Object obj) {
        return this.hashMap.remove(obj);
    }
    
    public int size() {
        return this.hashMap.size();
    }
    
    public Collection values() {
        return this.hashMap.values();
    }
    
}
